<div class="">
  <h3 class="mb-3">
    {{ addItem ? 'Add Treatment Room' : 'Edit Treatment Room' }}
  </h3>
  <app-alert [message]="message" [type]="type" id="alert">
  </app-alert>
  <div>
    <form [formGroup]="treatmentRoomForm">
      <div class="form-group row">
        <div class="col-xl-4 col-md-5">
          <div class="row">
            <div class="col-xl-12 d-flex align-items-center">
              <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Treatment Room Name</mat-label>
                <input matInput placeholder="Treatment Room Name" type="text" formControlName="treatmentType" required
                       appCharLimit
                       [frmGroup]="treatmentRoomForm" fcName="treatmentType" [max]="30">

                <mat-error *ngIf="treatmentRoomForm.get('treatmentType').hasError('exceedLimit')">
                  {{treatmentRoomForm.get('treatmentType').getError('exceedLimit')}}
                </mat-error>

                <mat-error
                  *ngIf="treatmentRoomForm.get('treatmentType').hasError('required') || treatmentRoomForm.get('treatmentType').hasError('whitespace')">
                  <!-- Data not entered -->
                  This field is required
                </mat-error>
              </mat-form-field>
            </div>
            <div class="col-xl-12 ">
              <div class="tool-switch-option mb-3">
                <h5>
                  Apply to location
                </h5>
                <kendo-switch formControlName="isAllowAllLocation" [onLabel]="'All'" [offLabel]="'Selected'"
                              class=" wide-switch" (valueChange)="onApplyLocationChanged($event)"></kendo-switch>
              </div>
            </div>
            <div class="col-xl-12 d-flex align-items-center">
              <mat-form-field appearance="outline" *ngIf="treatmentRoomForm.get('isAllowAllLocation').value == false">
                <mat-label>Location Name</mat-label>
                <app-kendo-multi-select required formControlName="locationName" [textField]="'locationName'"
                                        [valueField]="'id'" [data]="locationList" [filterable]="true"></app-kendo-multi-select>

                <mat-error *ngIf="treatmentRoomForm.get('locationName').hasError('required')">
                  This field is required.
                </mat-error>
              </mat-form-field>
            </div>
          </div>
        </div>
        <div class="col-xl-5 col-md-4">

        </div>
        <div class="col-xl-3 col-md-3">
          <div class="col-xl-12 text-right">
            <kendo-switch formControlName="isStatus" *appAccess="moduleName; lookFor: ['C', 'E', 'D']" [onLabel]="'Active'" [offLabel]="'Inactive'"
                          class="mt-3 mb-3"></kendo-switch>
          </div>
        </div>
      </div>
    </form>
  </div>
</div>


<div class="text-right control-row">
  <div class="pt-3 pb-3">
    <button mat-stroked-button color="accent" class="mr-3" (click)="cancel();">Cancel</button>
    <button mat-raised-button color="accent" class="mr-5 footer-btn-customize"
            *appAccess="moduleName; lookFor: ['C', 'E']"
            [disabled]="treatmentRoomForm.invalid"
            (click)="submitTreatmentRoom();">Save
    </button>
  </div>
</div>
